Subscribe

Trying to create a new repository for SMO

[ Edited ]

I am trying to create a new repository for SMO on linux. Here is the command used --

smo repository create -repository -dbname PDNFS -host oratest1 -login -username smo_user -port 1521

I am getting following error --

Enter password for database connection smo_user@oratest1:1521/PDNFS: ********

[ INFO] SMO-20019: Set password for repository "smo_user@PDNFS/oratest1:1521" in user credentials for "oracle".

[ INFO] SMO-09202: Creating new schema as smo_user on jdbc:oracle:thin:@//oratest1:1521/PDNFS.

[ INFO] SMO-09205: Schema generation complete.

[ INFO] SMO-09209: Performing repository version INSERT.

[ERROR] SMO-09013: Execution of query on the repository smo_user@PDNFS/oratest1:1521 failed. ORA-00942: table or view does not exist

.

[ERROR] SMO-09025: Repository version information not found within repository.

[ERROR] SMO-13032: Cannot perform operation: Repository Create.  Root cause: SMO-09025: Repository version information not found within repository.

[ INFO] SMO-13039: Successfully aborted operation: Repository Create

[ERROR] SMO-13048: Repository Create Operation Status: FAILED

[ INFO] SMO-13049: Elapsed Time: 0:00:12.421

Operation Id [Nb9da51594185dd96524960c8768e0591] failed. Error: Repository version information not found within repository.

Any ideas?

Thanks a lot.

Re: Trying to create a new repository for SMO

posting the SMO version and database version would help,

try :

export ORACLE_SID=PDNFS

sqlplus / as sysdba

SQL>grant connect, resource, create session to smo_user;

Re: Trying to create a new repository for SMO

SnapManager for Oracle version: 3.1

Db Version

Oracle Database 11g Enterprise Edition Release 11.2.0.2.0 - 64bit Production

The user already has DBA grant.....it did not work....

Re: Trying to create a new repository for SMO

you need SMO 3.1P2 for 11gR2 if I remember correctly

Re: Trying to create a new repository for SMO

hmm....the error does not suggest it....

I will surely try that version.....appreciate your help.

Thanks a lot.

Re: Trying to create a new repository for SMO

There is no 3.1p2....and what I have is the latest version....

So the problem continues